Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

List Custom Fields GETGet Work Order Custom Field GETUpdate Work Order Custom Field PUTList Work Order Custom Fields GET

Resources

BasicsCustom fields

Get Work Order Custom Field


Retrieve a single custom field configuration/value by custom_field_id.

GET
/api/rest/v2/workorders/{work_order_id}/custom_fields/{custom_field_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

custom_field_id*string

Custom Field Id

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/custom_fields/string_value"
{
  "id": 123,
  "name": "Sample Name",
  "tip": "string_value",
  "type": "standard",
  "role": "assigned_provider",
  "dependency": {
    "id": 123,
    "value": "string_value",
    "operator": "string_value"
  },
  "used_in_finance": true,
  "options": [],
  "flags": [],
  "value": "string_value",
  "category": "string_value",
  "order": 0,
  "actions": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Custom Fields GET

Previous Page

Update Work Order Custom Field PUT

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/custom_fields/string_value"